aboutsummaryrefslogtreecommitdiff
path: root/.local/bin
diff options
context:
space:
mode:
authorawy <awy@awy.one>2025-01-26 23:46:45 +0300
committerawy <awy@awy.one>2025-01-26 23:46:45 +0300
commit8d29790b735038c639d39fddca2b2c30efd67046 (patch)
tree30b24bbba927429b6fece3fb96e68c707adf774f /.local/bin
parent658fcef48cd8e98691b129685ce377e523ade648 (diff)
update
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/sysact26
1 files changed, 26 insertions, 0 deletions
diff --git a/.local/bin/sysact b/.local/bin/sysact
new file mode 100755
index 0000000..b54872b
--- /dev/null
+++ b/.local/bin/sysact
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# A dmenu wrapper script for system functions.
+export WM="Hyprland"
+case "$(readlink -f /sbin/init)" in
+ *systemd*) ctl='systemctl' ;;
+ *) ctl='loginctl' ;;
+esac
+
+wmpid(){ # This function is needed if there are multiple instances of the window manager.
+ tree="$(pstree -ps $$)"
+ tree="${tree#*$WM(}"
+ echo "${tree%%)*}"
+}
+
+case "$(printf "🔒 lock\n🚪 leave $WM\n♻️ renew $WM\n🐻 hibernate\n🔃 reboot\n🖥️shutdown\n💤 sleep\n📺 display off" | rofi -dmenu -i -p 'Action: ')" in
+ '🔒 lock') slock ;;
+ "🚪 leave $WM") hyprctl dispatch exit ;;
+ "♻️ renew $WM") hyprctl reload ;;
+ '🐻 hibernate') slock $ctl hibernate -i ;;
+ '💤 sleep') slock $ctl suspend -i ;;
+ '🔃 reboot') $ctl reboot -i ;;
+ '🖥️shutdown') $ctl poweroff -i ;;
+ '📺 display off') xset dpms force off ;;
+ *) exit 1 ;;
+esac